﻿@model BreweryViewModel

@{
    Layout = "_Layout";
}
<body>

    <h4>Brewery</h4>
    <hr />
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Edit">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input type="hidden" asp-for="Id" />
                <div class="form-group">
                    <label asp-for="Name" class="control-label"></label>
                    <input asp-for="Name" class="form-control" />
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Address" class="control-label"></label>
                    <input asp-for="Address" class="form-control" />
                    <span asp-validation-for="Address" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="CreatedOn" class="control-label"></label>
                    <input asp-for="CreatedOn" class="form-control" />
                    <span asp-validation-for="CreatedOn" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="ModifiedOn" class="control-label"></label>
                    <input asp-for="ModifiedOn" class="form-control" />
                    <span asp-validation-for="ModifiedOn" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="DeletedOn" class="control-label"></label>
                    <input asp-for="DeletedOn" class="form-control" />
                    <span asp-validation-for="DeletedOn" class="text-danger"></span>
                </div>
                <div class="form-group form-check">
                    <label class="form-check-label">
                        <input class="form-check-input" asp-for="IsDeleted" /> @Html.DisplayNameFor(model => model.IsDeleted)
                    </label>
                </div>
                <div class="form-group">
                    <input type="submit" value="Save" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>

    <div>
        <a asp-action="Index">Back to List</a>
    </div>

    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
</body>
